Class DraftBodyBuilder
Inheritance
DraftBodyBuilder
Assembly: NXOpen.dll
Syntax
public class DraftBodyBuilder : FeatureBuilder, IMessageSink, IComponentBuilder
Constructors
DraftBodyBuilder()
Declaration
protected DraftBodyBuilder()
Properties
DraftAngle
Declaration
public Expression DraftAngle { get; }
Property Value
DraftMethod
Declaration
public DraftBodyBuilder.Method DraftMethod { get; set; }
Property Value
DrawDirection
Declaration
public Direction DrawDirection { get; set; }
Property Value
EdgesToMoveToDraftedFace
Declaration
public ScCollector EdgesToMoveToDraftedFace { get; }
Property Value
ExtremeFacePointOverridesStationary
Declaration
public bool ExtremeFacePointOverridesStationary { get; set; }
Property Value
FacesToDraft
Declaration
public ScCollector FacesToDraft { get; }
Property Value
FacesToMoveToDraftedFace
Declaration
public ScCollector FacesToMoveToDraftedFace { get; }
Property Value
FilletRadius
Declaration
public Expression FilletRadius { get; }
Property Value
MatchScope
Declaration
public DraftBodyBuilder.MatchingScope MatchScope { get; set; }
Property Value
MatchType
Declaration
public DraftBodyBuilder.MatchingType MatchType { get; set; }
Property Value
MatchingOption
Declaration
[Obsolete("Deprecated in NX9.0.0. Use NXOpen.Features.DraftBodyBuilder.MatchScope instead")]
public DraftBodyBuilder.MatchOption MatchingOption { get; set; }
Property Value
PartingObject
Declaration
public SelectDisplayableObject PartingObject { get; }
Property Value
RepairPartingEdge
Declaration
public DraftBodyBuilder.RepairingPartingEdgeOption RepairPartingEdge { get; set; }
Property Value
RepairRadius
Declaration
[Obsolete("Deprecated in NX9.0.0. Use NXOpen.Features.DraftBodyBuilder.FilletRadius instead")]
public Expression RepairRadius { get; }
Property Value
RepairingOption
Declaration
[Obsolete("Deprecated in NX9.0.0. Use NXOpen.Features.DraftBodyBuilder.RepairPartingEdge instead")]
public DraftBodyBuilder.RepairOption RepairingOption { get; set; }
Property Value
StationaryEdgesAboveParting
Declaration
public ScCollector StationaryEdgesAboveParting { get; }
Property Value
StationaryEdgesBelowParting
Declaration
public ScCollector StationaryEdgesBelowParting { get; }
Property Value
Tolerance
Declaration
public double Tolerance { get; set; }
Property Value
Type
Declaration
public DraftBodyBuilder.Types Type { get; set; }
Property Value
UnmatchedEdges
Declaration
public ScCollector UnmatchedEdges { get; }
Property Value
UnmatchedFaces
Declaration
public ScCollector UnmatchedFaces { get; }
Property Value
UseDraftedBodyAsPartingObject
Declaration
public bool UseDraftedBodyAsPartingObject { get; set; }
Property Value
Implements
System.Runtime.Remoting.Messaging.IMessageSink